Index: includes/definitions/mibs/eltex.inc.php
===================================================================
--- includes/definitions/mibs/eltex.inc.php	(revision 9757)
+++ includes/definitions/mibs/eltex.inc.php	(working copy)
@@ -20,6 +20,7 @@
 $config['mibs'][$mib]['descr']        = 'Mib for eltex devices, that support OMS';
 $config['mibs'][$mib]['serial'][]     = array('oid' => 'omsSerialNumber.0');
 //ELTEX-OMS::omsFwRev.0 = STRING: Eltex LTP-8X:rev.C software version 3.26.1 build 1383 on 31.01.2017 11:35
+//ELTEX-OMS::omsProductClass.0 = STRING: 0x23 (TAU36_4v0)
 
 $config['mibs'][$mib]['hardware'][] = array('oid'             => 'omsFwRev.0',
                                             'transformations' => array('action' => 'regex_replace',
@@ -160,4 +161,59 @@
 $config['mibs'][$mib]['states']['BoolValue'][0] = array('name' => 'false', 'event' => 'ok');
 $config['mibs'][$mib]['states']['BoolValue'][1] = array('name' => 'true', 'event' => 'ok');
 
+
+//http://kcs.eltex.nsk.ru/articles/933
+$mib = 'ELTEX-FXS72';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.35265.1.9';
+$config['mibs'][$mib]['mib_dir'] = 'eltex';
+$config['mibs'][$mib]['descr'] = 'Mib for fxs72 mib';
+
+$config['mibs'][$mib]['mempool']['fxsRam'] = array('type'     => 'static', 'descr' => 'RAM', 'scale' => 1024,
+                                                   'oid_free' => 'fxsFreeRam.0', 'oid_free_num' => '.1.3.6.1.4.1.35265.1.9.5.0', //ELTEX-FXS72::fxsFreeRam.0 = STRING: 13616kB
+// WTF? Why STRING?
+                                                   'total'    => 44700, // 44700 kB
+);
+
+$config['mibs'][$mib]['sensor'][] = array('descr'    => 'fxsMonitoringTemp1',
+                                          'oid'      => 'fxsMonitoringTemp1',
+                                          'min'      => 0,
+                                          'oid_num'  => '.1.3.6.1.4.1.35265.1.9.10.5',
+                                          'class'    => 'temperature',
+                                          'measured' => 'device');
+$config['mibs'][$mib]['sensor'][] = array('descr'    => 'fxsMonitoringTemp2',
+                                          'oid'      => 'fxsMonitoringTemp2',
+                                          'min'      => 0,
+                                          'oid_num'  => '.1.3.6.1.4.1.35265.1.9.10.6',
+                                          'class'    => 'temperature',
+                                          'measured' => 'device');
+$config['mibs'][$mib]['sensor'][] = array('descr'    => 'fxsMonitoringTemp3',
+                                          'oid'      => 'fxsMonitoringTemp3',
+                                          'min'      => 0,
+                                          'oid_num'  => '.1.3.6.1.4.1.35265.1.9.10.7',
+                                          'class'    => 'temperature',
+                                          'measured' => 'device');
+$config['mibs'][$mib]['sensor'][] = array('descr'    => 'fxsMonitoringTemp4',
+                                          'oid'      => 'fxsMonitoringTemp4',
+                                          'min'      => 0,
+                                          'oid_num'  => '.1.3.6.1.4.1.35265.1.9.10.8',
+                                          'class'    => 'temperature',
+                                          'measured' => 'device');
+
+$config['mibs'][$mib]['sensor'][] = array('oid'      => 'fxsMonitoringVBat',
+                                          'class'    => 'voltage',
+                                          'descr'    => 'Voltage in',
+                                          'oid_num'  => '.1.3.6.1.4.1.35265.1.9.10.2',
+                                          'min'      => 0);
+$config['mibs'][$mib]['sensor'][] = array('oid'      => 'fxsMonitoringVRing1',
+                                          'class'    => 'voltage',
+                                          'descr'    => 'Voltage out 1-36',
+                                          'oid_num'  => '.1.3.6.1.4.1.35265.1.9.10.3',
+                                          'min'      => 0);
+$config['mibs'][$mib]['sensor'][] = array('oid'      => 'fxsMonitoringVRing2',
+                                          'class'    => 'voltage',
+                                          'descr'    => 'Voltage out 37-72',
+                                          'oid_num'  => '.1.3.6.1.4.1.35265.1.9.10.4',
+                                          'min'      => 0);
+
 // EOF
Index: includes/definitions/os.inc.php
===================================================================
--- includes/definitions/os.inc.php	(revision 9757)
+++ includes/definitions/os.inc.php	(working copy)
@@ -1112,6 +1112,9 @@
 $config['os'][$os]['sysDescr_regex'][]      = '/BDCOM(?:\(tm\)|.*Internetwork Operating System Software)? (?<hardware>(?:\w+ )?\S+) (?:Series )?Software, Version (?<version>\d\S+) (?:.*Serial num:(?<serial>\S+))?/';
 $config['os'][$os]['mibs'][]                = "NMS-CHASSIS";
 $config['os'][$os]['mibs'][]                = "NMS-OPTICAL-PORT-MIB";
+$config['os'][$os]['mibs'][]                = "NMS-FAN-TRAP";
+$config['os'][$os]['mibs'][]                = "NMS-POWER-EXT-MIB";
+$config['os'][$os]['mibs'][]                = "NMS-EPON-ONU";
 
 // Billion
 
@@ -2166,6 +2169,15 @@
 $config['os'][$os]['remote_access']         = array('http');
 $config['os'][$os]['mibs'][]                = "SNR-ERD-2";
 
+/*$os = "snr-erd-3";
+$config['os'][$os]['text']                  = "SNR ERD-3";
+$config['os'][$os]['vendor']                = "SNR";
+$config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.40418.2.3";
+$config['os'][$os]['type']                  = "environment";
+$config['os'][$os]['ports_skip_ifType']     = TRUE;
+$config['os'][$os]['remote_access']         = array('http');
+$config['os'][$os]['mibs'][]                = "SNR-ERD-3";
+
 $os = "snr-erd-4";
 $config['os'][$os]['text']                  = "SNR ERD-4";
 $config['os'][$os]['vendor']                = "SNR";
@@ -2189,6 +2214,7 @@
 $config['os'][$os]['text']                  = "QTech GBN Switch";
 $config['os'][$os]['vendor']                = "QTech";
 $config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.27514.1.3";
+$config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.27514.1.10";
 $config['os'][$os]['type']                  = "network";
 $config['os'][$os]['mibs'][]                = "GBNPlatformOAM-MIB";
 
@@ -2374,6 +2400,8 @@
   'sysName'                                 => '/^(SMG|TAU|SBC|RG|TSU|MC)/i',
 );
 $config['os'][$os]['remote_access']         = array('http');
+$config['os'][$os]['mibs'][]                = "ELTEX-OMS";
+$config['os'][$os]['mibs'][]                = "ELTEX-FXS72";
 
 $os = "eltex-gpon";
 $config['os'][$os]['text']                  = "Eltex GPON";
Index: mibs/bdcom/NMS-CARD-OPERATION-MIB
===================================================================
--- mibs/bdcom/NMS-CARD-OPERATION-MIB	(revision 9757)
+++ mibs/bdcom/NMS-CARD-OPERATION-MIB	(working copy)
@@ -38,8 +38,8 @@
 
 
 
-               cardResetTable OBJECT-TYPE
-                   SYNTAX  SEQUENCE OF CardResetTableEntry
+               slotStatusTable OBJECT-TYPE
+                   SYNTAX  SEQUENCE OF cardStatusTableEntry
                    ACCESS  not-accessible
                    STATUS  mandatory
                    DESCRIPTION
@@ -46,29 +46,29 @@
                             "A list of cards reset entries."
                    ::= { cardOper 2 }
 
-               CardResetTableEntry OBJECT-TYPE
-                   SYNTAX  CardResetTableEntry
+               cardStatusTableEntry OBJECT-TYPE
+                   SYNTAX  cardStatusTableEntry
                    ACCESS  not-accessible
                    STATUS  mandatory
                    DESCRIPTION
                             "A collection of cards to be reset."
-                   INDEX { cardIndex }
-               ::= { cardResetTable 1 }
+                   INDEX { nmsSlotIndex }
+               ::= { slotStatusTable 1 }
 
-               CardResetTableEntry ::=
+               cardStatusTableEntry ::=
                    SEQUENCE {
-                       nmscardIndex
+                       nmsSlotIndex
                            INTEGER,
-                       nmscardType
+                       nmsCardType
                            INTEGER,
-                       nmscardDescr
+                       nmsCardDescr
                        	   DisplayString,
-                       nmscardReset
+                       nmsSlotOperation
                        	   INTEGER
                   }
 
 
-               nmscardIndex OBJECT-TYPE
+               nmsSlotIndex OBJECT-TYPE
                    SYNTAX  INTEGER
                    ACCESS  read-only
                    STATUS  mandatory
@@ -75,28 +75,28 @@
                    DESCRIPTION
                            "Index into cardTable (not physical chassis
                            slot number), the same with the nmscardIndex of nmscardTable in NMS-CHASSIS-MIB."
-                   ::= { cardResetTableEntry 1 }
+                   ::= { cardStatusTableEntry 1 }
 
 
-               nmscardType OBJECT-TYPE
+               nmsCardType OBJECT-TYPE
                    SYNTAX  INTEGER
                    ACCESS  read-only
                    STATUS  mandatory
                    DESCRIPTION
                            "Type of card, the same with the nmscardIndex of nmscardTable in NMS-CHASSIS-MIB."
-                   ::= { cardResetTableEntry 2 }
+                   ::= { cardStatusTableEntry 2 }
 
 
 
-               nmscardDescr OBJECT-TYPE
+               nmsCardDescr OBJECT-TYPE
                    SYNTAX  DisplayString
                    ACCESS  read-only
                    STATUS  mandatory
                    DESCRIPTION
                            "Text description of this card, the same value with the nmscardIndex of nmscardTable in NMS-CHASSIS-MIB."
-                   ::= { cardResetTableEntry 3 }
+                   ::= { cardStatusTableEntry 3 }
 
-               nmscardReset OBJECT-TYPE
+               nmsSlotOperation OBJECT-TYPE
                    SYNTAX  INTEGER{ 
                                     no-reset(0),
                                     reset(1),
@@ -108,7 +108,7 @@
                    STATUS  mandatory
                    DESCRIPTION
                            "When value is set to reset(1), that means card reset; when value is set to shutdown-slot(2), no-shutdown-slot(3), only shut down or no shut down the corresponding slot."
-                   ::= { cardResetTableEntry 4 }
+                   ::= { cardStatusTableEntry 4 }
                    
                    
                    
Index: mibs/bdcom/NMS-CARD-SYS-MIB
===================================================================
--- mibs/bdcom/NMS-CARD-SYS-MIB	(revision 9757)
+++ mibs/bdcom/NMS-CARD-SYS-MIB	(working copy)
@@ -7,7 +7,6 @@
 -- All rights reserved.
 -- *****************************************************************
 
-
 NMS-CARD-SYS-MIB DEFINITIONS ::= BEGIN 
 
 IMPORTS
@@ -25,8 +24,6 @@
 
                cardSys         OBJECT IDENTIFIER ::= { nmsMgmt 181 }
 
-	        
-
                cardSystemSetTable OBJECT-TYPE
                    SYNTAX  SEQUENCE OF CardSystemSetEntry
                    ACCESS  not-accessible
@@ -59,10 +56,17 @@
                        cardCPUTempThreshold
                        	   INTEGER,
                        cardCPUTempCurr
-                       	   INTEGER
+                       	   INTEGER,
+                       cardCPUTempThresholdLow
+                       	   INTEGER,
+                       cardCPUTempStatus
+                       	   INTEGER,
+                       cardMemUtilThresholdMax
+                       	   INTEGER,
+                      cardSystemTemptureNodeNumber 
+                      `	   INTEGER
                   }
 
-
                cardSysIndex OBJECT-TYPE
                    SYNTAX  INTEGER
                    ACCESS  read-only
@@ -104,7 +108,6 @@
                            "Card memory utilization upper limit value."
                    ::= { cardSystemSetEntry 5 }
 
-
                cardCPUTempThreshold OBJECT-TYPE
                    SYNTAX  INTEGER
                    ACCESS  read-write
@@ -121,8 +124,41 @@
                            "Card CPU current temperature."
                    ::= { cardSystemSetEntry 7 }
 
+               cardCPUTempThresholdLow OBJECT-TYPE
+                   SYNTAX  INTEGER(-125..125)
+                   ACCESS  read-write
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Minimal threshold of card CPU temperature. The range is (-125~+125)."
+                   ::= { cardSystemSetEntry 8 }
 
-	        
+               cardCPUTempStatus OBJECT-TYPE
+                   SYNTAX  INTEGER{ 
+                                   normal(1),
+                                   alarm(2)
+                                  }
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "The card CPU temperature status, 1 means normal, 2 means alarm. "
+                   ::= { cardSystemSetEntry 9 }
+
+               cardMemUtilThresholdMax OBJECT-TYPE
+                   SYNTAX  INTEGER
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Maximal value of card memory utilization . For example, 60 means the maxmial value of memory utilization is 60%, maximal value is 100."
+                   ::= { cardSystemSetEntry 10 }
+
+               cardSystemTemptureNodeNumber OBJECT-TYPE
+                   SYNTAX  INTEGER
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Total number of  tempture Node."
+                   ::= { cardSystemSetEntry 11 }
+
                cardElementStatus OBJECT-TYPE
                    SYNTAX  INTEGER{
                    		normal(1),
@@ -146,12 +182,11 @@
                            "Card element status, only use for variable binding in card system notifications."
                    ::= { cardSys 3 }
 
-
--- Notifications   --cardCPUUtil
+-- Notifications   
+--cardCPUUtil
 	cardSysNotifications OBJECT IDENTIFIER
                                 ::= { cardSys 4 }
 
-
 	cardSysNotification NOTIFICATION-TYPE
     		OBJECTS {
         		nmscardIndex,
@@ -165,8 +200,67 @@
         	"The agent generates this notification when certain card element value exceeds upper limit defined above. "
     		::= { cardSysNotifications 1 }
 
+-- cardSystemTemptureNodeTable(°å¿šÎÂ¶ÈœÚµãÎÂ¶ÈÁÐ±í)
 
+               cardSystemTemptureNodeTable OBJECT-TYPE
+                   SYNTAX  SEQUENCE OF CardSystemTemptureNodeEntry
+                   ACCESS  not-accessible
+                   STATUS  mandatory
+                   DESCRIPTION
+                            "A list of cards system temparature related set value entries."
+                   ::= { cardSys 5 }
 
+               cardSystemTemptureNodeEntry OBJECT-TYPE
+                   SYNTAX  CardSystemTemptureNodeEntry
+                   ACCESS  not-accessible
+                   STATUS  mandatory
+                   DESCRIPTION
+                            "A collection of cards to be reset."
+                   INDEX { cardSysTempIndex, temptureNodeIndex}
+               ::= { cardSystemTemptureNodeTable 1 }
 
+               CardSystemTemptureNodeEntry::=
+                   SEQUENCE {
+                       cardSysTempIndex
+                           INTEGER,
+                       temptureNodeIndex
+                           INTEGER,
+                       temptureNodeDescr
+                       	   DisplayString,
+                       temptureNodeCur
+                       	   INTEGER
+                  }
 
+               cardSysIndex OBJECT-TYPE
+                   SYNTAX  INTEGER
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Index of slot. "
+                   ::= { cardSystemTemptureNodeEntry 1 }
+
+               temptureNodeIndex OBJECT-TYPE
+                   SYNTAX  INTEGER
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Index of tempture node. "
+                   ::= { cardSystemTemptureNodeEntry 2 }
+
+               temptureNodeDescr OBJECT-TYPE
+                   SYNTAX  DisplayString
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Descript of tempture node. "
+                   ::= { cardSystemTemptureNodeEntry 3 }
+
+               temptureNodeCur OBJECT-TYPE
+                   SYNTAX  INTEGER
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Current tempture of tempture node. "
+                   ::= { cardSystemTemptureNodeEntry 4 }
+
 END
Index: mibs/bdcom/NMS-EPON-ONU
===================================================================
--- mibs/bdcom/NMS-EPON-ONU	(revision 9757)
+++ mibs/bdcom/NMS-EPON-ONU	(working copy)
@@ -24,6 +24,25 @@
           
                nmsEponOnu         OBJECT IDENTIFIER ::= { nmsEPONGroup 10 }
                
+
+               IDiv10 ::= TEXTUAL-CONVENTION
+                   DISPLAY-HINT "d-1"
+                   STATUS current
+                   DESCRIPTION "/10"
+                   SYNTAX Integer32 (-2147483648..2147483647)
+
+               IDiv1000 ::= TEXTUAL-CONVENTION
+                   DISPLAY-HINT "d-3"
+                   STATUS current
+                   DESCRIPTION "/1000"
+                   SYNTAX Integer32 (-2147483648..2147483647)
+
+               IDiv10000 ::= TEXTUAL-CONVENTION
+                   DISPLAY-HINT "d-4"
+                   STATUS current
+                   DESCRIPTION "/10000"
+                   SYNTAX Integer32 (-2147483648..2147483647)
+
                nmsepononuTable OBJECT-TYPE
                    SYNTAX  SEQUENCE OF NMSEponOnuEntry
                    ACCESS  not-accessible
@@ -415,11 +434,11 @@
                    ::= { nmsEponOnuEntry 25 } 
 
                onuStatus OBJECT-TYPE
-                   SYNTAX  INTEGER{
+                   SYNTAX  INTEGER {
                           authenticated(0),
                           registered(1),
                           deregistered(2),
-                          auto_config(3),
+                          auto-config(3),
                           lost(4)
                    }
                    ACCESS  read-only
@@ -859,9 +878,9 @@
                    ::= { nmsEponOnuEntry 74 } 
 
                onuCurrentPONInUse OBJECT-TYPE
-                   SYNTAX  INTEGER{
-                   	in_use(1),  
-                   	not_in_use(2)
+                   SYNTAX  INTEGER {
+                   	in-use(1),  
+                   	not-in-use(2)
                    }
                    ACCESS  read-only
                    STATUS  mandatory
@@ -1314,6 +1333,7 @@
 
                opModuleTemp OBJECT-TYPE
                    SYNTAX  INTEGER
+                   UNITS   "/256 C"
                    ACCESS  read-only
                    STATUS  mandatory
                    DESCRIPTION
@@ -1321,7 +1341,8 @@
                    ::= { nmsEponOnuOpticalPortEntry 2 } 
 	
                opModuleVolt OBJECT-TYPE
-                   SYNTAX  INTEGER
+                   SYNTAX  IDiv10000
+                   UNITS   "V"
                    ACCESS  read-only
                    STATUS  mandatory
                    DESCRIPTION
@@ -1329,25 +1350,28 @@
                    ::= { nmsEponOnuOpticalPortEntry 3 } 
 	
                opModuleCurrent OBJECT-TYPE
-                   SYNTAX  INTEGER
+                   SYNTAX  IDiv1000
+                   UNITS   "*2 mA"
                    ACCESS  read-only
                    STATUS  mandatory
                    DESCRIPTION
                            "ONU PON port optical module volt. Unit is 2uA."
                    ::= { nmsEponOnuOpticalPortEntry 4 } 
-	
+
                opModuleRxPower OBJECT-TYPE
-                   SYNTAX  INTEGER
+                   SYNTAX  IDiv10
+                   UNITS   "dBm"
                    ACCESS  read-only
-                   STATUS  mandatory
+                   STATUS  current
                    DESCRIPTION
                            "ONU PON port optical receive power. Unit is 0.1dB."
                    ::= { nmsEponOnuOpticalPortEntry 5 } 
 	
                opModuleTxPower OBJECT-TYPE
-                   SYNTAX  INTEGER
+                   SYNTAX  IDiv10
+                   UNITS   "dBm"
                    ACCESS  read-only
-                   STATUS  mandatory
+                   STATUS  current
                    DESCRIPTION
                            "ONU PON port optical send power. Unit is 0.1dB."
                    ::= { nmsEponOnuOpticalPortEntry 6 } 
Index: mibs/bdcom/NMS-FAN-TRAP
===================================================================
--- mibs/bdcom/NMS-FAN-TRAP	(revision 9757)
+++ mibs/bdcom/NMS-FAN-TRAP	(working copy)
@@ -9,9 +9,6 @@
 
 NMS-FAN-TRAP DEFINITIONS ::= BEGIN
 
-
-
-
 IMPORTS
     MODULE-IDENTITY, OBJECT-TYPE, NOTIFICATION-TYPE,INTEGER,
     Integer32, Unsigned32                       FROM SNMPv2-SMI
@@ -19,12 +16,8 @@
     NOTIFICATION-GROUP                          FROM SNMPv2-CONF
     nmsEPONGroup,nmsMgmt                                 FROM NMS-SMI;
 
-
                fanTrap         OBJECT IDENTIFIER ::= { nmsMgmt 187 }
 
-
-
-    
 -- Notifications
           fanStatus OBJECT-TYPE
               SYNTAX  INTEGER {
@@ -41,7 +34,6 @@
 	nmsFanNotifications OBJECT IDENTIFIER
                                 ::= { fanTrap 2 }
 
-
 	nmsFanNotification NOTIFICATION-TYPE
     		OBJECTS {
                        fanStatus
@@ -52,7 +44,7 @@
     		::= { nmsFanNotifications 1 }
     		
         fanRunningStatus        OBJECT IDENTIFIER ::= { fanTrap 3 }
-    		
+
         fan1RunningStatus OBJECT-TYPE
               SYNTAX  INTEGER {
                           normal(1),     
@@ -64,7 +56,7 @@
               DESCRIPTION
                       "Fan 1 status, 1-normal, 2-stop, unused(3)."
               ::= { fanRunningStatus 1 }
-    		
+
         fan2RunningStatus OBJECT-TYPE
               SYNTAX  INTEGER {
                           normal(1),     
@@ -258,10 +250,11 @@
                        FanStatus
                            INTEGER,
                        FanSpeed
+                       	   INTEGER,
+                       FanShelfNum
                        	   INTEGER
                   }
 
-
                FanIndex OBJECT-TYPE
                    SYNTAX  INTEGER
                    ACCESS  read-only
@@ -270,12 +263,11 @@
                            "Index of fan-device"
                    ::= { FanTableEntry 1 }
 
-
                FanStatus OBJECT-TYPE
                    SYNTAX  INTEGER{ 
                           normal(1),     
                           stop(2),
-                          unused(3)                                    
+                          unused(3)
                                    }
                    ACCESS  read-only
                    STATUS  mandatory
@@ -283,8 +275,6 @@
                            "Fan-device status."
                    ::= { FanTableEntry 2 }
 
-
-
                FanSpeed OBJECT-TYPE
                    SYNTAX  INTEGER
                    ACCESS  read-only
@@ -292,7 +282,14 @@
                    DESCRIPTION
                            "Fan-device speed."
                    ::= { FanTableEntry 3 }
-                       
 
+               FanShelfNum OBJECT-TYPE
+                   SYNTAX  INTEGER
+                   ACCESS  read-only
+                   STATUS  mandatory
+                   DESCRIPTION
+                           "Fan-device shelf number."
+                   ::= { FanTableEntry 4 }                       
+
               
 END
